## golang-github-mikesmitty-edkey 0.0~git20170222.3356ea4

=== debian/changelog ===
golang-github-mikesmitty-edkey (0.0~git20170222.3356ea4-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Wed, 23 Mar 2022 02:52:14 -0600

golang-github-mikesmitty-edkey (0.0~git20170222.3356ea4-1) unstable; urgency=medium

  [ Patrick O'Doherty ]
  * Initial packaging (2017-07-06)

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Regenerate Debian packaging with the dh-make-golang (>> 0.6.0-1)
  * Initial release (Closes: #867521)

 -- Anthony Fok <foka@debian.org>  Sun, 19 Dec 2021 18:43:46 -0700
